Page MenuHomePhabricator

Login with http throws ugly error
Closed, ResolvedPublic

Description

Login to http://phabricator.wikimedia.org ends up in an ugly error message. I guess we shouldn't allow anybody to login from http in the first place? Only https (which seems to work just fine).

Event Timeline

Qgil created this task.Sep 18 2014, 8:16 AM
Qgil assigned this task to chasemp.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Aklapper.

Hmm, guess that https://gerrit.wikimedia.org/r/#/c/160588/ and https://gerrit.wikimedia.org/r/#/c/160780/ was only for the backend.

Proposing to enforce/redirect to https.

demon added a subscriber: demon.Sep 19 2014, 7:43 PM

Yes, we should enforce HTTPS-only on Phabricator. We've done it on Gerrit & Bugzilla for years.

Aklapper closed this task as Resolved.Sep 24 2014, 5:46 PM

This was fixed by Daniel and Chase: https://gerrit.wikimedia.org/r/162534